/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 */
/**
 * BlueHeader Format Type enumeration (incomplete)
 * @preferred
 */
export var FormatType;
(function (FormatType) {
    /** 8-bit integer */
    FormatType[FormatType["Int8"] = 0] = "Int8";
    /** 16-bit integer */
    FormatType[FormatType["Int16"] = 1] = "Int16";
    /** 32-bit integer */
    FormatType[FormatType["Int32"] = 2] = "Int32";
    /** 64-bit integer */
    FormatType[FormatType["Int64"] = 3] = "Int64";
    /** 32-bit float */
    FormatType[FormatType["Float32"] = 4] = "Float32";
    /** 64-bit float */
    FormatType[FormatType["Float64"] = 5] = "Float64";
})(FormatType || (FormatType = {}));
//# sourceMappingURL=format-type.enum.js.map