/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 *
 */
/**
 * Drawing Mode enumeration, see SigPlot for more information.
 *
 * Note: this is a guess based on:
 *       sigplot.layer1d.js change_settings
 *       sigplot.layer2d.js change_settings
 *       "disabled" -> treat it as an undefined value
 * @preferred
 */
export var DrawMode;
(function (DrawMode) {
    DrawMode[DrawMode["disabled"] = undefined] = "disabled";
    DrawMode[DrawMode["rising"] = 1] = "rising";
    DrawMode[DrawMode["falling"] = 2] = "falling";
    DrawMode[DrawMode["scrolling"] = 3] = "scrolling";
    DrawMode[DrawMode["lefttoright"] = 4] = "lefttoright";
    DrawMode[DrawMode["righttoleft"] = 5] = "righttoleft";
})(DrawMode || (DrawMode = {}));
//# sourceMappingURL=draw-mode.enum.js.map