/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 *
 * Purpose: Module for sigplot.Plot's various enumerations exposed either
 *          numerically or as strings in the construction and settings
 *          options.
 */
export { AutoScale } from './auto-scale.enum';
export { CMode } from './c-mode.enum';
export { DrawMode } from './draw-mode.enum';
export { LineType } from './line-type.enum';
export { Origin } from './origin.enum';
export { PHUnits } from './ph-units.enum';
export { RubberboxAction } from './rubberbox-action.enum';
export { RubberboxMode } from './rubberbox-mode.enum';
export { XCNT } from './xcnt.enum';
//# sourceMappingURL=index.js.map