"use strict";
/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 *
 * Purpose: Module for sigplot.Plot's various enumerations exposed either
 *          numerically or as strings in the construction and settings
 *          options.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var auto_scale_enum_1 = require("./auto-scale.enum");
exports.AutoScale = auto_scale_enum_1.AutoScale;
var c_mode_enum_1 = require("./c-mode.enum");
exports.CMode = c_mode_enum_1.CMode;
var draw_mode_enum_1 = require("./draw-mode.enum");
exports.DrawMode = draw_mode_enum_1.DrawMode;
var line_type_enum_1 = require("./line-type.enum");
exports.LineType = line_type_enum_1.LineType;
var origin_enum_1 = require("./origin.enum");
exports.Origin = origin_enum_1.Origin;
var ph_units_enum_1 = require("./ph-units.enum");
exports.PHUnits = ph_units_enum_1.PHUnits;
var rubberbox_action_enum_1 = require("./rubberbox-action.enum");
exports.RubberboxAction = rubberbox_action_enum_1.RubberboxAction;
var rubberbox_mode_enum_1 = require("./rubberbox-mode.enum");
exports.RubberboxMode = rubberbox_mode_enum_1.RubberboxMode;
var xcnt_enum_1 = require("./xcnt.enum");
exports.XCNT = xcnt_enum_1.XCNT;
//# sourceMappingURL=index.js.map