/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 */
/**
 * Color Maps defined in sigplot.m.Mc.colormap, this enumeration helps select
 * them out of the available options.  These names are taken directly from that
 * enumeration.
 *
 * See SigPlot for more information.
 * @preferred
 */
export var Mc;
(function (Mc) {
    Mc[Mc["Greyscale"] = 0] = "Greyscale";
    Mc[Mc["Ramp"] = 1] = "Ramp";
    Mc[Mc["ColorWheel"] = 2] = "ColorWheel";
    Mc[Mc["Spectrum"] = 3] = "Spectrum";
    Mc[Mc["calewhite"] = 4] = "calewhite";
    Mc[Mc["HotDesat"] = 5] = "HotDesat";
    Mc[Mc["Sunset"] = 6] = "Sunset";
})(Mc || (Mc = {}));
//# sourceMappingURL=mc.enum.js.map