"use strict";
/**
 * Author:  Thomas Goodwin
 * Company: Geon Technologies, LLC
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Plot rendering mode, see SigPlot for more information.
 * @preferred
 */
var CMode;
(function (CMode) {
    /** Index */
    CMode[CMode["IN"] = 0] = "IN";
    /** Abscissa */
    CMode[CMode["AB"] = 1] = "AB";
    /** Magnitude */
    CMode[CMode["MA"] = 2] = "MA";
    /** Phase */
    CMode[CMode["PH"] = 3] = "PH";
    /** Real */
    CMode[CMode["RE"] = 4] = "RE";
    /** Imaginary */
    CMode[CMode["IM"] = 5] = "IM";
    /** 10*Log10 */
    CMode[CMode["L0"] = 6] = "L0";
    /** 10*Log10 */
    CMode[CMode["D1"] = 6] = "D1";
    /** 20*Log10 */
    CMode[CMode["L2"] = 7] = "L2";
    /** 20*Log10 */
    CMode[CMode["D2"] = 7] = "D2";
    /** Real vs. Imaginary */
    CMode[CMode["RI"] = 8] = "RI";
    /** Imaginary vs. Real */
    CMode[CMode["IR"] = 9] = "IR";
})(CMode = exports.CMode || (exports.CMode = {}));
//# sourceMappingURL=c-mode.enum.js.map